Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1295037 - Review Request: nodejs-rewire - Easy dependency injection for node.js unit testing
Summary: Review Request: nodejs-rewire - Easy dependency injection for node.js unit te...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1295040
TreeView+ depends on / blocked
 
Reported: 2016-01-01 08:56 UTC by Tom Hughes
Modified: 2016-01-08 15:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-08 15:45:23 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Tom Hughes 2016-01-01 08:56:13 UTC
Spec URL: http://tomh.fedorapeople.org//nodejs-rewire.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-rewire-2.5.1-1.fc23.src.rpm

Description:
Rewire adds a special setter and getter to modules so you can
modify their behavior for better unit testing. You may:

* Inject mocks for other modules or globals like process
* Leak private variables
* Override variables within the module.

Rewire does not load the file and eval the contents to emulate
node's require mechanism. In fact it uses node's own require to
load the module. Thus your module behaves exactly the same in
your test environment as under regular circumstances (except
your modifications).

Comment 1 Upstream Release Monitoring 2016-01-01 08:58:04 UTC
tomh's scratch build of nodejs-rewire-2.5.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12370294

Comment 2 Parag AN(पराग) 2016-01-08 05:15:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 38 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1295037-nodejs-rewire/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-rewire-2.5.1-1.fc24.noarch.rpm
          nodejs-rewire-2.5.1-1.fc24.src.rpm
nodejs-rewire.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-rewire.noarch: W: spelling-error %description -l en_US getter -> fetter, setter, netter
nodejs-rewire.noarch: W: spelling-error %description -l en_US globals -> global, global s
nodejs-rewire.noarch: W: spelling-error %description -l en_US eval -> veal, vela, val
nodejs-rewire.noarch: W: only-non-binary-in-usr-lib
nodejs-rewire.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-rewire.src: W: spelling-error %description -l en_US getter -> fetter, setter, netter
nodejs-rewire.src: W: spelling-error %description -l en_US globals -> global, global s
nodejs-rewire.src: W: spelling-error %description -l en_US eval -> veal, vela, val
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-rewire.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-rewire (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-rewire:
    nodejs-rewire
    npm(rewire)



Source checksums
----------------
https://github.com/jhnns/rewire/archive/v2.5.1/nodejs-rewire-2.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 07c40c822dacd8ade93ce7a9808bdceffcd54ed3ed5933086eac5124964b2888
  CHECKSUM(SHA256) upstream package : 07c40c822dacd8ade93ce7a9808bdceffcd54ed3ed5933086eac5124964b2888


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20

APPROVED.

Comment 3 Gwyn Ciesla 2016-01-08 15:10:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-rewire


Note You need to log in before you can comment on or make changes to this bug.